FROM node:lts-alpine as build

WORKDIR /app

COPY . .
RUN npm install
RUN npm run build -- --configuration production

FROM nginx:alpine

COPY --from=build /app/dist/lavireeterroir-front /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]
